Bug 1301590 - [UI] Click to any "notification" open "Discovered Hosts" dialog
[UI] Click to any "notification" open "Discovered Hosts" dialog
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: sankarshan
Daniel Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 08:03 EST by Daniel Horák
Modified: 2016-11-13 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshoot (56.05 KB, image/png)
2016-01-25 08:03 EST, Daniel Horák
no flags Details

  None (edit)
Description Daniel Horák 2016-01-25 08:03:07 EST
Created attachment 1117981 [details]
Screenshoot

Description of problem:
  When you click on any "notification" showed in the upper right corner, it will open "Discovered Hosts" dialog. It happens even if you click on the "x" to close the notification or to some later notification (second, third...) which is bellow the icons area on top of the page. (See attached screenshot, where I clicked to the second notification "Accept Node: dahorak-usm2-node2.os1...")

Version-Release number of selected component (if applicable):
  rhscon-ceph-0.0.5-0.1.alpha1.el7.x86_64
  rhscon-core-0.0.7-0.1.alpha1.el7.x86_64
  rhscon-ui-0.0.6-0.1.alpha1.el7.noarch

  (browser on client side firefox-43.0.3-1.fc23.x86_64)

How reproducible:
  100%

Steps to Reproduce:
1. Perform some action from USM web UI which will lead to rise one or more notifications (e.g. accept nodes, create cluster,...)
2. Wait for notification about finished (or failed) task.
3. Click on the notification or on the small "x" on the notification to close it.

Actual results:
  It will open "Discovered Hosts" dialog in the background.

Expected results:
  It will just close the notification (or open related task information if applicable) and do not open unrelated pop-up dialog.
Comment 3 Daniel Horák 2016-07-22 05:18:47 EDT
Tested and VERIFIED on USM Server (RHEL 7.2):
  rhscon-ceph-0.0.33-1.el7scon.x86_64
  rhscon-core-0.0.34-1.el7scon.x86_64
  rhscon-core-selinux-0.0.34-1.el7scon.noarch
  rhscon-ui-0.0.48-1.el7scon.noarch

>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.